<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="flex items-center text-text-500 w-full justify-end gap-2">
  <i *ngIf="status == 'SENDING'" class="fa fa-circle-notch fa-spin fa-fw text-info size-4"></i>
  <p-tag [value]="status | titlecase" [severity]="status == 'DONE' ? 'success' : status == 'SENDING' ? 'info' : status == 'FAILED' ? 'danger' : 'warning'"></p-tag>
</div>
